Package org.acplt.oncrpc.web

## Class HttpClientConnection.GetPropertyPrivilegedAction

- java.lang.Object
- - org.acplt.oncrpc.web.HttpClientConnection.GetPropertyPrivilegedAction

- All Implemented Interfaces:
    `java.security.PrivilegedAction`
  Enclosing class:
    HttpClientConnection

      class HttpClientConnection.GetPropertyPrivilegedAction
      extends java.lang.Object
      implements java.security.PrivilegedAction

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `private java.lang.String` | `defaultValue` | Default value or `null`.
    `private java.lang.String` | `property` | The property to retrieve.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GetPropertyPrivilegedAction​(java.lang.String property)` |
    `GetPropertyPrivilegedAction​(java.lang.String property, java.lang.String defaultValue)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `run()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### property

          private java.lang.String property

      The property to retrieve.

    - #### defaultValue

          private java.lang.String defaultValue

      Default value or `null`.

  - ### Constructor Detail

    - #### GetPropertyPrivilegedAction

          public GetPropertyPrivilegedAction​(java.lang.String property)

    - #### GetPropertyPrivilegedAction

          public GetPropertyPrivilegedAction​(java.lang.String property,
                                             java.lang.String defaultValue)

  - ### Method Detail

    - #### run

          public java.lang.Object run()

      Specified by:
        `run` in interface `java.security.PrivilegedAction`